Get payment status
curl --request GET \
--url https://godirekt.xyz/api/status/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://godirekt.xyz/api/status/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://godirekt.xyz/api/status/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"quoteId": "5af8532c-5bf4-45c2-b099-1b36e96e91a3",
"status": "AWAITING_DEPOSIT",
"createdAt": 1780010048,
"expiresAt": 1780010348,
"depositAddress": "0x7fa491b5765b5eea6b113a9121c311d780f8c61b",
"deposit": null,
"gas": null,
"execution": {
"startedAt": null,
"completedAt": null,
"outputTxHash": null,
"steps": []
},
"route": {
"from": {
"chainId": 8453,
"chainName": "Base",
"token": "0x0000000000000000000000000000000000000000"
},
"to": {
"chainId": 56,
"chainName": "BNB Chain",
"token": "0x0000000000000000000000000000000000000000"
},
"amount": "1000000000000000000",
"recipient": "0xa110c77fa4b07ab601e63ecd65e99ddb8f1df6ec"
},
"error": null
}Get Status
Fetch the current status of a payment by quote ID.
GET
/
api
/
status
/
{id}
Get payment status
Example request
curl --location 'https://godirekt.xyz/api/status/5af8532c-5bf4-45c2-b099-1b36e96e91a3' \
--header 'x-api-key: YOUR_API_KEY'
Example response
{
"success": true,
"quoteId": "5af8532c-5bf4-45c2-b099-1b36e96e91a3",
"status": "AWAITING_DEPOSIT",
"createdAt": 1780010048,
"expiresAt": 1780010348,
"depositAddress": "0x7fa491b5765b5eea6b113a9121c311d780f8c61b",
"deposit": null,
"gas": null,
"execution": {
"startedAt": null,
"completedAt": null,
"outputTxHash": null,
"steps": []
},
"route": {
"from": { "chainId": 8453, "chainName": "Base", "token": "0x0000000000000000000000000000000000000000" },
"to": { "chainId": 56, "chainName": "BNB Chain", "token": "0x0000000000000000000000000000000000000000" },
"amount": "1000000000000000000",
"recipient": "0xa110c77fa4b07ab601e63ecd65e99ddb8f1df6ec"
},
"error": null
}
Status values
| Status | Meaning |
|---|---|
AWAITING_DEPOSIT | Waiting for the user to send funds |
DEPOSIT_RECEIVED | Deposit detected on-chain |
EXECUTING | Cross-chain swap in progress |
COMPLETED | Funds delivered to recipient |
EXPIRED | Quote expired before deposit arrived |
FAILED | Execution failed |
route.amount is in the token’s smallest unit (wei for ETH). send.amount from the quote is human-readable.Authorizations
Path Parameters
Quote ID returned from POST /api/quote
Example:
"5af8532c-5bf4-45c2-b099-1b36e96e91a3"
Response
200 - application/json
Payment status
⌘I